Package org.opensaml.soap.util

# Class SOAPConstants

java.lang.Object
org.opensaml.soap.util.SOAPConstants

public final class SOAPConstants extends Object
SOAP Related Constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP11_NS`
SOAP 1.1 namespace.
`static final String`
`SOAP11_PREFIX`
SOAP 1.1 prefix.
`static final String`
`SOAP12_NS`
SOAP 1.2 namespace.
`static final String`
`SOAP12_PREFIX`
SOAP 1.2 prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SOAPConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SOAP11_NS

@Nonnull @NotEmpty public static final String SOAP11_NS
SOAP 1.1 namespace.

See Also:
  - Constant Field Values

### SOAP11_PREFIX

@Nonnull @NotEmpty public static final String SOAP11_PREFIX
SOAP 1.1 prefix.

See Also:
  - Constant Field Values

### SOAP12_NS

@Nonnull @NotEmpty public static final String SOAP12_NS
SOAP 1.2 namespace.

See Also:
  - Constant Field Values

### SOAP12_PREFIX

@Nonnull @NotEmpty public static final String SOAP12_PREFIX
SOAP 1.2 prefix.

See Also:
  - Constant Field Values

## Constructor Details

### SOAPConstants

private SOAPConstants()
Constructor.